mcrypt для centos 6.4

Тема в разделе "Администрирование серверов", создана пользователем Savok32, 7 июн 2013.

  1. Savok32

    Savok32

    Регистрация:
    18 дек 2012
    Сообщения:
    331
    Симпатии:
    51
    Народ как установить библиотеку mcrypt для centos 6.4 ??
     
  2. nix

    nix php, MySQL, UNIX, MikroTik ROSAPI

    Регистрация:
    16 янв 2013
    Сообщения:
    1.000
    Симпатии:
    889
    Не так?
    Код:
    wget http://ftp.riken.jp/Linux/fedora/epel/RPM-GPG-KEY-EPEL-6
    rm -f RPM-GPG-KEY-EPEL-6
    wget http://dl.fedoraproject.org/pub/epel/6/i386/epel-release-6-8.noarch.rpm
    rpm -ivh epel-release-6-8.noarch.rpm
    yum –enablerepo=epel install php-pdo -y
    yum install php-mcrypt
     
  3. Savok32

    Savok32

    Регистрация:
    18 дек 2012
    Сообщения:
    331
    Симпатии:
    51
  4. nix

    nix php, MySQL, UNIX, MikroTik ROSAPI

    Регистрация:
    16 янв 2013
    Сообщения:
    1.000
    Симпатии:
    889
    А если просто
    Код:
    yum install php-mcrypt
     
  5. Savok32

    Savok32

    Регистрация:
    18 дек 2012
    Сообщения:
    331
    Симпатии:
    51
    пробывал в первую очередь......


    Error: Package: redland-1.0.7-11.el6.x86_64 (@base)
    Requires: libmysqlclient.so.16()(64bit)
    Removing: mysql-libs-5.1.67-1.el6_3.x86_64 (@updates)
    libmysqlclient.so.16()(64bit)
    Obsoleted By: mariadb-libs-5.5.30-3.el6.x86_64 (CentALT)
    Not found
    Updated By: mysql-libs-5.1.69-1.el6_4.x86_64 (updates)
    libmysqlclient.so.16()(64bit)
    Available: mysql-libs-5.1.66-2.el6_3.x86_64 (base)
    libmysqlclient.so.16()(64bit)
    Available: mysql-libs-5.5.29-1.el6.x86_64 (CentALT)
    Not found
    You could try using --skip-broken to work around the problem
    You could try running: rpm -Va --nofiles --nodigest
     
  6. nix

    nix php, MySQL, UNIX, MikroTik ROSAPI

    Регистрация:
    16 янв 2013
    Сообщения:
    1.000
    Симпатии:
    889
  7. Savok32

    Savok32

    Регистрация:
    18 дек 2012
    Сообщения:
    331
    Симпатии:
    51
    мб он просит обновить существующие пакеты до определенной версии чтобы поставиться?
     
  8. lex_network

    lex_network

    Регистрация:
    6 мар 2013
    Сообщения:
    28
    Симпатии:
    6
    рекомендую ставить вручную,
    для установки mcrypt нужно установить
    yum install libmcrypt-devel
    после чего в архиве с исходниками есть в расширениях mcrypt
    заходишь в папку mcrypt
    phpize
    ./configure
    make
    nake install
    добавляешь подключение расширения в php.ini
    и будет тебе счастье
     
  9. lover

    lover

    Регистрация:
    3 дек 2013
    Сообщения:
    3
    Симпатии:
    0
    Добрый день!
    Не могли бы Вы поподробнее расписать как это сделать (застопорился на шаге "заходишь в папку mcrypt")? Я в первый раз вообще столкнулся с ssh, пытаюсь самостоятельно настроить сервер на hetzner'е...

    ps: зашел в Php.ini через vi /usr/local/lib/php.ini и на шел там строку ;extensions=php_mcrypt.dll
     
  10. lex_network

    lex_network

    Регистрация:
    6 мар 2013
    Сообщения:
    28
    Симпатии:
    6
    прежде чем устанавливать расширения у вас должен быть собран php , если нет то начните с этого.
    собственно могу вам помочь с настройкой php и нетолько, пишите в приват обсудим.
     
  11. lover

    lover

    Регистрация:
    3 дек 2013
    Сообщения:
    3
    Симпатии:
    0
    я на сервере заказал cpanel, в связи с чем полагаю, что php у меня собран. phpinfo показывает php version 5.4.22
    при попытке запустить yum install php-mcrypt

    пишет No package php-mcrypt available.
     
  12. $iD

    $iD Команда форума

    Регистрация:
    13 мар 2012
    Сообщения:
    3.349
    Симпатии:
    1.380
    эти вопросы уже 1000 раз обсуждались в интеренете:
     
  13. lover

    lover

    Регистрация:
    3 дек 2013
    Сообщения:
    3
    Симпатии:
    0
    И, не поверите, я тысячу раз вбивал эти комбинации, результат тот же! No package